# BEGIN SourceDeps(oneline):
BuildRequires(pre): rpm-build-perl
BuildRequires: perl-devel perl-podlators
# END SourceDeps(oneline)
Name:           perl-Convert-UU
Version:        0.5201
Release:        alt1_7
Summary:        Perl module for uuencode and uudecode
License:        GPL+ or Artistic
Group:          Development/Perl
URL:            http://search.cpan.org/dist/Convert-UU/
Source0:        http://www.cpan.org/authors/id/A/AN/ANDK/Convert-UU-%{version}.tar.gz
BuildArch:      noarch
BuildRequires:  perl(ExtUtils/MakeMaker.pm) perl(Exporter.pm)
BuildRequires:  perl(File/Spec.pm) perl(Test/More.pm) perl(Test/Pod.pm)
# tests
# ext-uu.t needs sharutils, otherwise it's skipped
BuildRequires:  sharutils
BuildRequires:  perl(Test/Pod/Coverage.pm)
Source44: import.info

%description
%{summary}.

%prep
%setup -q -n Convert-UU-%{version}
sed -i 's|local\/perl5\.002_01\/||' puudecode

%build
%{__perl} Makefile.PL INSTALLMAN1DIR=%_man1dir INSTALLDIRS=perl
make %{?_smp_mflags}

%install
make pure_install PERL_INSTALL_ROOT=$RPM_BUILD_ROOT

find $RPM_BUILD_ROOT -type f -name .packlist -exec rm -f {} \;
find $RPM_BUILD_ROOT -depth -type d -exec rmdir {} 2>/dev/null \;

# %{_fixperms} $RPM_BUILD_ROOT/*

%check
make test

%files
%doc ChangeLog README
%{_bindir}/puudecode
%{_bindir}/puuencode
%{perl_vendor_privlib}/*
%{_mandir}/man1/*

%changelog
* Wed Feb 27 2013 Igor Vlasenko <viy@altlinux.ru> 0.5201-alt1_7
- update to new release by fcimport

* Tue Jul 31 2012 Igor Vlasenko <viy@altlinux.ru> 0.5201-alt1_6
- update to new release by fcimport

* Wed May 30 2012 Igor Vlasenko <viy@altlinux.ru> 0.5201-alt1_4
- fc import

